# SimpleNotes Client for Android

# This server is required
[Repository](https://gitlab.tesses.net/tesses50/simplenotesserver)

# To Install
[Get .NET 7](https://dotnet.microsoft.com/en-us/download/dotnet/7.0)

```bash
$ sudo dotnet workload install android
$ sudo dotnet worload repair
```

# To compile
```bash
$ make
```

# To just test
```bash
$ dotnet run
```

# To authenticate
Click Settings
Provide URL to Server, your username and password
and Click Save

# To Send Message
Click the Plus FAB

In the note activity the save button does not close the activity, that is not a bug that is intended (so you can keep editing)

# Will this work without internet
Yes and no

Yes if the server is on same network as the android device (and you entered the private ip)

No if otherwise

# Can I edit, view or create notes without access to server
You can't edit, view or create notes if you can't connect to the server (as there is no cache).